# Connection Checker Nck

This utility `nck` works similiar to traceroute and  
allows to record a traceroute.

## Requirements

To execute the traceroute, a privileged port must be opened. this
requires special permissions.

A prerequisite for reading incoming traffic is being able to either to
be root or set the executable capability `CAP_NET_RAW`.

Reminder: You can set the `CAP_NET_RAW` capability on an executable like
this: `sudo setcap cap_net_raw+ep bin/nck`

the connection checker tests the internet connection and displays the status on the console

## Build

Make build uses sudo to set the authorization for the program (see
Requirements).

```
make build
``` 


## Run

```bash
Usage:
  nck is the way to measure the path to a host.

With this command the path from the localhost to the
target computer can be recorded and the duration of the
packet runtimes can be measured. Depending on the IP
of the destination, either a V4 or V6 measurement is performed.

Application Options:
  -r, --realtime       show the steps in real time
  -f, --format=[table] output format, is not valid for real time mode. (default: table)
  -h, --hops=          maximal hops.
  -m, --threshold=     from the threshold value in milliseconds the value is marked in red (default: 20)

Help Options:
  -h, --help           Show this help message
```
